void
logNow(char *, int, struct mlfiPriv *);

#ifdef WITH_PGSQL
int
getPgConn ();

void
unlockPgConn(int);
#endif

int
parseAddressString (char *, struct in_addr *, struct in_addr *);

int
hostIsWhitelisted(struct mlfiPriv *);

int
checkServerResponse (char *, char *, struct in_addr *, int, struct mlfiPriv *);

void
mc_setreply(SMFICTX *, char *, char *);

char
*transcriptAnswerCode(int, char *);
